package thyyxxk.webserver.constants.sidicts;

import lombok.Getter;

@Getter
public enum DrugMedcWayCode {
    KF(1, "口服"),
    ZCGY(2, "直肠给药"),
    SXGY(3, "舌下给药"),
    ZSGY(4, "注射给药"),
    PXZS(401, "皮下注射"),
    PNZS(402, "皮内注射"),
    JRZS(403, "肌肉注射"),
    JMZSHJMDZ(404, "静脉注射或静脉滴注"),
    XRGY(5, "吸入给药"),
    JBYY(6, "局部用药"),
    ZGNYY(601, "椎管内用药"),
    GJQNYY(602, "关节腔内用药"),
    XMQYY(603, "胸膜腔用药"),
    FQYY(604, "腹腔用药"),
    YDYY(605, "阴道用药"),
    QGNYY(606, "气管内用药"),
    DY(607, "滴眼"),
    DB(608, "滴鼻"),
    DH(609, "喷喉"),
    HH(610, "含化"),
    FSK(611, "敷伤口"),
    CPF(612, "擦皮肤"),
    QTJBXYTJ(699, "其他局部给药途径"),
    QTGYTJ(9, "其他给药途径");

    private final int code;
    private final String description;

    DrugMedcWayCode(int code, String description) {
        this.code = code;
        this.description = description;
    }
}
